Overview | Modules | Class Hierarchy | Classes | Members

# tlp::GlTextureManager Class Reference

`#include <GlTextureManager.h>`

Collaboration diagram for tlp::GlTextureManager:

[legend]
List of all members.

## Detailed Description

Class to manage textures Singleton class to load/store textures need by OpenGL rendering.

## Public Member Functions

- void changeContext (unsigned long context)
- void removeContext (unsigned long context)
- GlTexture getTextureInfo (const std::string &)
- bool loadTextureFromRawData (const std::string &textureName, int width, int height, bool hasAlpha, unsigned char *data)
- bool loadTexture (const std::string &)
- void deleteTexture (const std::string &)
- void beginNewTexture (const std::string &)
- bool activateTexture (const std::string &)
- void desactivateTexture ()
- void registerExternalTexture (const std::string &textureName, const GLuint textureId)

## Static Public Member Functions

- static void createInst ()
- static GlTextureManager & getInst ()

## Member Function Documentation

bool tlp::GlTextureManager::activateTexture | ( | const std::string & |  | ) |

| Activate a texture with given name

void tlp::GlTextureManager::beginNewTexture | ( | const std::string & |  | ) |

| Begin a new texture with given name

void tlp::GlTextureManager::changeContext | ( | unsigned long | context | ) |

| Change the current OpenGl context (each OpenGl window have a different OpenGl context)

static void tlp::GlTextureManager::createInst | ( |  | ) | `[static]`

| Create the texture manager singleton

void tlp::GlTextureManager::deleteTexture | ( | const std::string & |  | ) |

| Remove texture with given name

void tlp::GlTextureManager::desactivateTexture | ( |  | ) |

| Disable texture with given name

static GlTextureManager& tlp::GlTextureManager::getInst | ( |  | ) | `[inline, static]`

| Return the texture manager singleton, il singleton doesn't exist this function create it

GlTexture tlp::GlTextureManager::getTextureInfo | ( | const std::string & |  | ) |

| Return texture info (id, width and height) for the given name

bool tlp::GlTextureManager::loadTexture | ( | const std::string & |  | ) |

| Load texture with given name

bool tlp::GlTextureManager::loadTextureFromRawData | ( | const std::string & | textureName,
|  | int | width,
|  | int | height,
|  | bool | hasAlpha,
|  | unsigned char * | data
| ) |

| Load texture with textureName from Raw data

void tlp::GlTextureManager::registerExternalTexture | ( | const std::string & | textureName,
|  | const GLuint | textureId
| ) |

void tlp::GlTextureManager::removeContext | ( | unsigned long | context | ) |

| Remove all textures of an OpenGl context and remove this context

Tulip Software by LaBRI Visualization Team 2001 - 2010